Difference between revisions of "Talk:Updates"

From Industrial-Craft-Wiki
Jump to: navigation, search
(Wikitext mistake on Updates page: new section)
m
Line 1: Line 1:
==Dependencies==
 
 
It looks like between 1.15 and 1.23, the dependent version of MCForge changed. Since the typical update usecase is to swap jars in the mods/ folder, it's very important to note updated dependencies.
 
 
- [[User:Thejoshwolfe|Thejoshwolfe]]
 
 
{{Reply|space=:|agree=|user=Feanturi|reply=Read the Download Page and you will find the versions... derp}}
 
 
{{Reply|space=::|agree=|user=Thejoshwolfe|reply=to clarify, I want to know which version of MCForge IC2 depends on. The information is not on [[Download]] page; the information is not on the [[Updates]] page. Simply saying "always the latest" is actually wrong, because any update to MCForge that isn't exactly synchronized with an update to IC2 depending on it will violate the claim.<br/><br/>Here's the problem: I was running IC2 version 1.15 and I wanted to update to the latests version. I looked at the [[Updates]] page and saw that there was a new version out (1.23). I downloaded it, swapped out the jars in the mods/ folder, and ran minecraft. It crashed on initialization with an error as cryptic as "failed to load mod_IC2". The reason is that I needed to remod my minecraft.jar with a new version of MCForge (possibly one of the ModLoaders changed too; idk.). This is not obvious. If the [[Updates]] page had said something as simple as "Now depending on MCForge version x.x.x", this situation would have been avoided.}}
 
 
{{Reply|space=:::|agree=|user=Feanturi|reply=The newest version of IC² uses always the newest version of forge (if its not for 1.9)}}
 
 
{{Reply|space=::::|agree=|user=Trifler|reply=In case anyone was wondering, it is confirmed that IC2 1.23 will not run with MCForge 1.1.1. --[[User:Trifler|Trifler]] 02:30, 30 October 2011 (CET)}}
 
 
{{Reply|space=::::|agree=facepalm|user=Thejoshwolfe|reply=It seems [[User:Feanturi|Feanturi]] is missing the crux of what I'm saying. I want to know the version number of MCForge that IC2 depends on. I want it to be written down in the [[Updates]] page so that when it changes people can know when to remod their minecraft.jar.}}
 
 
{{Reply|space=:::::|agree=|user=Feanturi|reply=I won't mention it at the update page öÖ IC² will always use the recent version of MCF}}
 
 
{{Reply|space=::::|agree=|user=Trifler|reply=This can be resolved to everyone's satisfaction just by adding the sentence I requested to be added on [[Talk:Download]].}}
 
 
 
== Wikitext mistake on Updates page ==
 
== Wikitext mistake on Updates page ==
  
 
Maybe that's nothing, but 1.337b Changelog section is not closed(last two <nowiki>"}"</nowiki> not placed) so it all is shown as  plain text.
 
Maybe that's nothing, but 1.337b Changelog section is not closed(last two <nowiki>"}"</nowiki> not placed) so it all is shown as  plain text.
 
Can someone with permission fix it plz? [[User:LitTLE|LitTLE]] 14:46, 1 June 2012 (CEST)
 
Can someone with permission fix it plz? [[User:LitTLE|LitTLE]] 14:46, 1 June 2012 (CEST)
 +
 +
{{Reply|space=:|agree=ty|user=Feanturi|reply=Thanks for mentioning ^^}}

Revision as of 23:41, 1 June 2012

Wikitext mistake on Updates page

Maybe that's nothing, but 1.337b Changelog section is not closed(last two "}" not placed) so it all is shown as plain text. Can someone with permission fix it plz? LitTLE 14:46, 1 June 2012 (CEST)

Quote.pngThanks for mentioning ^^Quote.png
by Feanturi(ty)